Page MenuHomePhabricator

Code Stewardship Review: SpamBlacklist
Open, MediumPublic

Description

Intro

The SpamBlacklist extension's presumed Code Steward is actually not the Code Steward. There's been some outstanding production errors that have been occurring for over a year in addition to some CI instability issues.

Number, severity, and age of known and confirmed security issues

TBD

Was it a cause of production outages or incidents? List them.

TBD

Does it have sufficient hardware resources for now and the near future (to take into account expected usage growth)?

n/a

Is it a frequent cause of monitoring alerts that need action, and are they addressed timely and appropriately?

Yes, there have been some ongoing errors in production (see T148639T64864).

When it was first deployed to Wikimedia production

unknown

Usage statistics based on audience(s) served

TBD

Changes committed in last 1, 3, 6, and 12 months

TBD

Reliance on outdated platforms (e.g. operating systems)

n/a

Number of developers who committed code in the last 1, 3, 6, and 12 months

TBD

Number and age of open patches

TBD

Number and age of open bugs

TBD

Number of known dependencies?

TBD

Is there a replacement/alternative for the feature? Is there a plan for a replacement?

Uknown

Submitter's recommendation (what do you propose be done?)

none

Event Timeline

Jrbranaa created this task.Jun 3 2019, 6:16 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
matmarex updated the task description. (Show Details)Jun 4 2019, 6:09 PM

Hello @marcella, this extension came up as a Code Stewardship review request, but I've noticed that it is marked as being stewarded by the Editing team on developers/maintainers page. Just checking to see what the actual Code Stewardship status is before I dig any deeper.

@marcella: Could you please elaborate if the WMF Editing Team is responsible for the SpamBlacklist extension? Thanks.

greg triaged this task as Medium priority.Jul 3 2019, 10:29 PM

@marcella: Could you please elaborate if the WMF Editing Team is responsible for the SpamBlacklist extension? Thanks.

This extension is not currently maintained by the WMF Editing Team. We have no specialized knowledge or skills among the team engineers to support this extension. I'll update the developers/maintainers page to reflect that we are not actively maintaining it.

The form seems a little underfilled out... There was basically one production error which arguably was intentional behaviour (albeit maybe a poor design choice not to suppress it)

Anomie added a subscriber: Anomie.Aug 5 2019, 12:55 PM